﻿@{
    IEnumerable<BankCreditUnionAccount> bankCreditUnionAccounts = ViewBag.BankCreditUnionAccounts;
    IEnumerable<BrokerageAdvisoryAccount> brokerageAdvisoryAccounts = ViewBag.BrokerageAdvisoryAccounts;
    IEnumerable<LifeAnnuityContract> lifeAnnuityContracts = ViewBag.LifeAnnuityContracts;
    var totalInvestmentIncome = bankCreditUnionAccounts.Sum(m => m.AnnualIncome) + brokerageAdvisoryAccounts.Sum(m => m.AnnualIncome) + lifeAnnuityContracts.Sum(m => m.AnnualIncome);
}
<div class="d-flex mb-5">
    <div>
        <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Let's look at Personal Assets</h4>
    </div>
    <div class="ml-auto">
        <button class="btn btn-secondary font-weight-bold px-6 py-2 btn-next" id="btn-save-exit">Save & Exit</button>
    </div>
</div>
<div class="wizard-content-height">
    <div id="personal-asset-info-div" class="personal-asset">
        <div class="card card-custom gutter-b shadow-none bg-gray-100" style="border:1px solid #996633;">
            <div class="card-header budget-header" style="background:#996633">
                <div class="card-title">
                    <h2 class="card-label text-white font-size-h3">Investment Income</h2>
                </div>
            </div>
            <div class="card-body pt-2">
                <div class="table-responsive font-size-h6">
                    <table class="table table-sm mb-0 table-borderless table-budget" id="tblpersonal-asset">
                        <thead style="border-bottom:#996633 solid 1px">
                            <tr>
                                <td class="font-size-h6 font-weight-bold min-w-200px">Investment Type</td>
                                <td class="font-size-h6 font-weight-bold min-w-200px">Owner</td>
                                <td class="font-size-h6 font-weight-bold min-w-150px">Tax Classification</td>
                                <td class="font-size-h6 font-weight-bold text-right min-w-100px">Current Balance</td>
                                <td class="font-size-h6 font-weight-bold text-right min-w-100px">Annual Income</td>
                                <td class="font-size-h6 font-weight-bold min-w-40px">Duration<br /> (Years)</td>
                            </tr>
                        </thead>
                        @if (bankCreditUnionAccounts.Any())
                        {
                            <tr>
                                <td class="font-weight-bold" colspan="3" style="color:#996633;">
                                    Bank/Credit Union
                                </td>
                            </tr>
                            @foreach (var item1 in bankCreditUnionAccounts)
                            {
                                <tr>
                                    <td class="pl-5">@item1.AccountTypeString</td>
                                    <td>@item1.OwnByWithData</td>
                                    <td>@item1.TaxClassificationString</td>
                                    <td class="text-right">@string.Format("{0:C0}", item1.CurrentBalance)</td>
                                    <td class="text-right">@string.Format("{0:C0}", item1.AnnualIncome)</td>
                                    <td class="text-right">@item1.Years</td>
                                </tr>
                            }
                        }
                        @if (brokerageAdvisoryAccounts.Any())
                        {
                            <tr>
                                <td class="font-weight-bold" colspan="3" style="color:#996633;">
                                    Brokerage/Advisory
                                </td>
                            </tr>
                            @foreach (var item1 in brokerageAdvisoryAccounts)
                            {
                                <tr>
                                    <td class="pl-5">@item1.AccountTypeString</td>
                                    <td>@item1.OwnByWithData</td>
                                    <td>@item1.TaxClassificationString</td>
                                    <td class="text-right">@string.Format("{0:C0}", item1.CurrentBalance)</td>
                                    <td class="text-right">@string.Format("{0:C0}", item1.AnnualIncome)</td>
                                    <td class="text-right">@item1.Years</td>
                                </tr>
                            }
                        }
                        @if (lifeAnnuityContracts.Any())
                        {
                            <tr>
                                <td class="font-weight-bold" colspan="3" style="color:#996633;">
                                    Life/Annuity
                                </td>
                            </tr>
                            @foreach (var item1 in lifeAnnuityContracts)
                            {
                                <tr>
                                    <td class="pl-5">@item1.LifeAnnuityContractTypeString</td>
                                    <td>@item1.OwnByWithData</td>
                                    <td>@item1.TaxClassificationString</td>
                                    <td class="text-right">@string.Format("{0:C0}", item1.CurrentBalance)</td>
                                    <td class="text-right">@string.Format("{0:C0}", item1.AnnualIncome)</td>
                                    <td class="text-right">@item1.Years</td>
                                </tr>
                            }
                        }
                        <tfoot style="border-top:#996633 solid 1px">
                            <tr style="color:#996633">
                                <td class="font-weight-bold">Total</td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td class="text-right">@string.Format("{0:C0}", totalInvestmentIncome)</td>
                                <td></td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<partial name="_WizardFooter" />
<script>
    $("#btn-submit").addClass("btn-next");
</script>